Page 1 of 1

crosscompile Qt5 on raspberry 4

Posted: Tue Sep 03, 2019 9:27 am
by matzrm
Hi,

I want to port my Qt\Qml application that runs on rasp 3B+ to raspi4.
I think that the first step should be crosscompile Qt 5.xx.x for the new device but I think that could be trouble with the new chipset.

Has anyone managed to cross-compile Qt5.12.3 for raspi4, and with which QPA backend? Does qml work?

Re: crosscompile Qt5 on raspberry 4

Posted: Tue Sep 03, 2019 12:01 pm
by topguy
I think the first step could be to test the packages that comes with Buster, if you haven't done that already.

In the newest Qt code ( 5.13.0 ) there is a device option "linux-rasp-pi3-vc4-g++" with the following comment in the qmake file:

Code: Select all

# This should allow accelerated EGL and OpenGL with eglfs via
# KMS/DRM/GBM (instead of the Broadcom-specific backend), under X11
# with xcb, and also enables (Qt)Wayland via the standard wayland-egl
# path. See https://dri.freedesktop.org/wiki/VC4
#
Someone with a bit more knowledge than me can problbaly say if this sounds usable for Pi4 or not.

Re: crosscompile Qt5 on raspberry 4

Posted: Fri Sep 06, 2019 10:38 am
by Paul Hutch
Based on a recent post in the Python sub-forum, I believe QT5 (and PyQT5) is already an APT installable package for Buster.